Subject: Re: bug#58042: 29.0.50; ASAN use-after-free in re_match_2_internal

From: Gerd Möllmann <[email-masked]>
Date: Wed, 5 Oct 2022 15:24:26 +0200

On 22-10-05 15:13 , Eli Zaretskii wrote:
>>>
>> That is redisplay during garbage_collect!
>>
>> The change to probably_quit didn't help.  Commenting out the call to
>> redisplay in the layout stuff did.
> 
> This has nothing per se to do with GC and with redisplay being run
> from the unblock_input, this can happen regardless of these.

Right, this is a different problem.  See later in the thread(s).